package cn.org.bjca.trust.pushdemo

import android.os.Bundle
import android.widget.TextView
import androidx.appcompat.app.AppCompatActivity
import cn.org.bjca.trust.push.PushSdk
import cn.org.bjca.trust.push.enums.ConnAckReturnCode
import cn.org.bjca.trust.push.enums.OsType
import cn.org.bjca.trust.push.message.callback.CallbackListener
import cn.org.bjca.trust.push.message.msg.Message
import cn.org.bjca.trust.push.message.msg.SendMessage

class MainActivity : AppCompatActivity() {
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_main)
        PushSdk.instance.register("xuqinmin")
        findViewById<TextView>(R.id.register).setOnClickListener {
        }
        findViewById<TextView>(R.id.send).setOnClickListener {
            PushSdk.instance.sendTextMessage("xuqinmin", "你好啊${System.currentTimeMillis()}")
        }

    }

}